﻿using DevExpress.ExpressApp;
using Solution15.Module.BusinessObjects;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Solution15.Module.Controllers
{
    public class NonPersistentObjectActivatorController : ObjectViewController<DetailView, NonPersistentObject>
    {
        protected override void OnActivated()
        {
            base.OnActivated();
            if ((ObjectSpace is NonPersistentObjectSpace) && (View.CurrentObject == null))
            {
                View.CurrentObject = View.ObjectTypeInfo.CreateInstance();
                View.ViewEditMode = DevExpress.ExpressApp.Editors.ViewEditMode.Edit;
            }
        }
    }

}
